Method: sharedPreferenceSets.list

Full name: projects.locations.instances.sharedPreferenceSets.list

Lists shared preference sets.

HTTP request

GET https://{endpoint}/v1alpha/{parent}/sharedPreferenceSets

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The parent resource of the SharedPreferenceSets to list. Format: projects/{project}/locations/{location}/instances/{instance}

Query parameters

Parameters
pageSize

integer

Optional. Maximum number of SharedPreferenceSets to return. The service may return fewer than this value. If unspecified, at most 100 shared preference sets will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. Page token received from a previous sharedPreferenceSets.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to sharedPreferenceSets.list must match the call that provided the page token.

filter

string

Optional. Filters the list results. Only the following filters are allowed: "namespace:{namespace_name}"

Request body

The request body must be empty.

Response body

Response for SharedPreferenceSetService sharedPreferenceSets.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "sharedPreferenceSets": [
    {
      object (SharedPreferenceSet)
    }
  ],
  "nextPageToken": string
}
Fields
sharedPreferenceSets[]

object (SharedPreferenceSet)

The SharedPreferenceSets found.

nextPageToken

string

A token that can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.